import * as cdk from 'aws-cdk-lib';
import * as constructs from 'constructs';
/**
 * CRUD operations for New Relic Applied Intelligence Workflows via the NerdGraph API
 *
 * @schema CfnAiWorkflowsProps
 */
export interface CfnAiWorkflowsProps {
    /**
     * @schema CfnAiWorkflowsProps#WorkflowData
     */
    readonly workflowData?: string;
    /**
     * @schema CfnAiWorkflowsProps#ListQueryFilter
     */
    readonly listQueryFilter?: string;
    /**
     * @schema CfnAiWorkflowsProps#Variables
     */
    readonly variables?: any;
}
/**
 * Converts an object of type 'CfnAiWorkflowsProps' to JSON representation.
 */
export declare function toJson_CfnAiWorkflowsProps(obj: CfnAiWorkflowsProps | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `NewRelic::Observability::AIWorkflows`
 *
 * @cloudformationResource NewRelic::Observability::AIWorkflows
 * @stability external
 * @link https://github.com/newrelic/newrelic-cloudformation-resource-providers-aiworkflows.git
 */
export declare class CfnAiWorkflows extends cdk.CfnResource {
    /**
    * The CloudFormation resource type name for this resource class.
    */
    static readonly CFN_RESOURCE_TYPE_NAME = "NewRelic::Observability::AIWorkflows";
    /**
     * Resource props.
     */
    readonly props: CfnAiWorkflowsProps;
    /**
     * Attribute `NewRelic::Observability::AIWorkflows.Id`
     * @link https://github.com/newrelic/newrelic-cloudformation-resource-providers-aiworkflows.git
     */
    readonly attrId: string;
    /**
     * Create a new `NewRelic::Observability::AIWorkflows`.
     *
     * @param scope - scope in which this resource is defined
     * @param id    - scoped id of the resource
     * @param props - resource properties
     */
    constructor(scope: constructs.Construct, id: string, props: CfnAiWorkflowsProps);
}
